%define anolis_release 1
%bcond tests 0

Name:           python-pydantic
Version:        2.5.3
Release:        %{anolis_release}%{?dist}
Summary:        Data validation using Python type hinting

License:        MIT
URL:            https://github.com/pydantic/pydantic
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
# For check phase
%if %{with tests}
BuildRequires:  %{py3_dist cloudpickle}
BuildRequires:  %{py3_dist dirty-equals}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-mock}
%endif

%description
Data validation and settings management using python type hinting.


%package -n     python3-pydantic
Summary:        %{summary}
# The dotenv extra was removed in pydantic v2.
# Remove the Obsoletes in Fedora 43+
Obsoletes:      python3-pydantic+dotenv < 2~~


%description -n python3-pydantic
Data validation and settings management using python type hinting.


%prep
%autosetup -n pydantic-%{version} -p1

# Delete pytest addopts. We don't care about benchmarking or coverage.
# tomcli-set pyproject.toml del 'tool.pytest.ini_options.addopts'python-pydantic.spec


%generate_buildrequires
%pyproject_buildrequires -x dotenv -x hatch-fancy-pypi-readme


%build
%pyproject_wheel


# Docs are in MarkDown, and should be added when mkdocs is packaged.

%install
%pyproject_install
%pyproject_save_files pydantic


%check
%pyproject_check_import -e pydantic.mypy -e pydantic.v1.mypy
%if %{with tests}
# We don't build docs or care about benchmarking
%pytest --ignore=tests/{test_docs.py,benchmarks}
%endif


%files -n python3-pydantic -f %{pyproject_files}
%license LICENSE
%doc README.md docs/


%changelog
* Thu Dec 28 2023 zhongling.h <zhonglingh@linux.alibaba.com> - 2.5.3-1
- Initial package.
